Zero MQ Installation – Package requirements (libsodium) were not met

I tried installing Zero MQ on CentOS 6.5.
When doing

./configure

I saw this.

checking for sodium... no
configure: error: Package requirements (libsodium) were not met:
No package 'libsodium' found

My initial impulse was to install libsodium. My environment is offline so I started downloading the libsodium packages from here. https://download.libsodium.org/doc/installation/index.html

No help.

Eventually I went to see if I really needed this libsodium package. Turns out it’s a crypto library that I probably had no need for.
Looking into the installation flags. I could do :

./configure --without-libsodium

After that it was just the usual

make
make install

In the case you really want to install libsodium for zmq, check this out : http://stackoverflow.com/questions/23220464/zeromq-doesnt-spot-libsodium

UPDATE: Found this nice guide to install ZMQ on CentOS7 from source, check it out!

https://www.digitalocean.com/community/tutorials/how-to-install-zeromq-from-source-on-a-centos-6-x64-vps

Advertisements

3 thoughts on “Zero MQ Installation – Package requirements (libsodium) were not met

Add yours

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

Blog at WordPress.com.

Up ↑

%d bloggers like this: